Bug 224883

Summary: audio/snd: Update to 17.9
Product: Ports & Packages Reporter: Yuri Victorovich <yuri>
Component: Individual Port(s)Assignee: Yuri Victorovich <yuri>
Status: In Progress ---    
Severity: Affects Only Me CC: daniel.engberg.lists, portmaster
Priority: --- Flags: portmaster: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
svn diff for audio/snd
portmaster: maintainer-approval+
Updated patch none

Description Yuri Victorovich freebsd_committer 2018-01-04 06:12:06 UTC
Thanks!
Yuri
Comment 1 Chris Hutchinson 2018-01-04 08:33:43 UTC
Created attachment 189389 [details]
svn diff for audio/snd

The attached svn diff upgrades audio/snd from 15.7_2 to 17.9
tested, and working on:
FreeBSD devbox 12.0-CURRENT FreeBSD 12.0-CURRENT #0:
Wed Dec 13 06:07:59 PST 2017
root@devbox:/usr/obj/usr/src/amd64.amd64/sys/DEVBOX  amd64

====> Compressing man pages (compress-man)
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)

devbox# make stage-qa

====> Running Q/A tests (stage-qa)

devbox# make check-sanity

===>  License snd accepted by the user

devbox# portlint

looks fine.

Thanks for the heads-up, Yuri!

That's it!

--Chris
Comment 2 Yuri Victorovich freebsd_committer 2018-01-04 08:50:22 UTC
Thanks a lot!
Comment 3 Yuri Victorovich freebsd_committer 2018-01-05 05:40:08 UTC
Created attachment 189427 [details]
Updated patch

Thanks for your update submission.

I've noticed that a lot of project options aren't covered by the port options. For example, RUBY and Forth extension languages, Jack and Portaudio audio outputs, gl2ps library. Also, the structure of options is missing in port options: Snd defined options in categories: Extension languages/UI type/random libraries/etc.

I added missing items that I've mentioned above. I found several things that don't work. For example, Ruby causes build errors with missing symbols, Forth fails to be enabled.

I've asked the upstream maintainer to fix some of the items, since I believe they are likely the upstream problems.

Attaching my current, very preliminary version for now, and will wait for the upstream maintainer input.


Regards,
Yuri
Comment 4 Yuri Victorovich freebsd_committer 2018-01-05 05:50:12 UTC
The upstream is actually the Stanford's CCRMA department. In my experience, they have always answered such support requests very comprehensively. I expect a likewise response from them now as well.
Comment 5 Chris Hutchinson 2018-01-05 08:15:29 UTC
(In reply to Yuri Victorovich from comment #3)
> Created attachment 189427 [details]
> Updated patch
> 
> Thanks for your update submission.
> 
> I've noticed that a lot of project options aren't covered by the port
> options. For example, RUBY and Forth extension languages, Jack and Portaudio
> audio outputs, gl2ps library. Also, the structure of options is missing in
> port options: Snd defined options in categories: Extension languages/UI
> type/random libraries/etc.
> 
> I added missing items that I've mentioned above. I found several things that
> don't work. For example, Ruby causes build errors with missing symbols,
> Forth fails to be enabled.
> 
> I've asked the upstream maintainer to fix some of the items, since I believe
> they are likely the upstream problems.
> 
> Attaching my current, very preliminary version for now, and will wait for
> the upstream maintainer input.
> 
> 
> Regards,
> Yuri

WOW! Thank you very much, Yuri!
I've had to completely rebuild my development environment,
including getting, and matching the hardware. As a result,
I haven't been able to dedicate the time I'd like to on the
ports I maintain, lately.
I'm *really* grateful for your dedicating the time you have
to this!

Consider any contribution you (like to) make, *pre-approved* :-)

Thanks again, Yuri!

--Chris
Comment 6 daniel.engberg.lists 2020-03-17 00:20:01 UTC
Upstream is now at 20.2 so perhaps most (all?) issues have been fixed?